Search In-app Templates
This API searches the In-app templates created in your MoEngage account.
page: The page number of the results you wish to fetch.entries: The number of templates to return per page, with a maximum value of 15.
Authorizations
Authentication is done via Basic Auth. This requires a base64-encoded string of your credentials in the format 'username:password'.
- Username: Use your MoEngage workspace ID (also known as the App ID). You can find it in the MoEngage dashboard at Settings > Account > APIs > Workspace ID (earlier app id).
- Password: Use your API Key, which you can find within the Campaign report/Business events/Custom templates/Catalog API/Inform Report tile.
For more information on authentication and getting your credentials, refer here.
Body
Search filters for finding In-app templates.
Notes:
pageandentriesare mandatory effective November 15, 2025. All other fields are optional.- If the request body is passed empty, then all templates will be returned.
- Here, the preview_image field will be generated by MoEngage for the HTML template payload.
This field contains the index of the pages to be returned in the search result. Mandatory after Nov 15, 2025.
This field contains the number of entries per page in the search result. Max 15. Mandatory after Nov 15, 2025.
x <= 15This field indicates the name of the template. When this value is specified, the template that matches the name specified in this field will be returned.
This field indicates the template source that created the template. For example: ["API", "MOENGAGE"]. When specified, the templates whose source matches that specified in this list will be returned.
API, MOENGAGE This field indicates whether the template is a custom one or a pre-built one. Allowed values: CUSTOM, PRE_BUILT.
CUSTOM, PRE_BUILT This field indicates the user who created the template. When specified, the templates for which the created_by user information matches that specified in this list will be returned.
This field indicates the user who updated the template. When specified, the templates for which the updated_by user information matches that specified in this list will be returned.
Sort the templates by multiple fields in ASCENDING or DESCENDING order: template_name, last_modified_date, last_modified_by.
Search multiple templates using Pair of external_template_id and version.
Response
The template was searched successfully.
This field contains all the details of the template searched, such as the meta info, template ID, template version, payload, date and time the template was created or updated, and the user attribute of the user who created or updated the template.